import os

from django.utils.translation import pgettext_lazy
from django.utils.translation import ugettext_lazy as _
from openstack_dashboard import exceptions

{%- from "horizon/map.jinja" import server with context %}

{%- if server.app is defined %}
{%- set app = salt['pillar.get']('horizon:server:app:'+app_name) %}
{%- else %}
{%- set app = salt['pillar.get']('horizon:server') %}
{%- endif %}

{%- include "horizon/files/horizon_settings/_horizon_config.py" %}

{%- if app.themes is defined %}
# 'key', 'label', 'path'
{%- set theme_dir = app.themes.get('directory', 'themes') %}
AVAILABLE_THEMES = [
{%- for slug, theme in app.themes.get('available', {}).iteritems() %}
  {%- if theme.get('enabled', True) %}
    (
        "{{ slug }}",
        pgettext_lazy("{{ theme.description }}", "{{ theme.name }}"),
        "{{ theme.get('path', theme_dir + '/' + slug ) }}"
    ),
  {%- endif %}
{%- endfor %}
]

# The default theme if no cookie is present
DEFAULT_THEME = '{{ app.themes.get("default", "default") }}'

# Theme Static Directory
THEME_COLLECTION_DIR = '{{ theme_dir }}'

# Theme Cookie Name
THEME_COOKIE_NAME = '{{ app.themes.get("cookie_name", "theme") }}'
{%- endif %}

INSTALLED_APPS = (
    'openstack_dashboard',
    'django.contrib.contenttypes',
    'django.contrib.auth',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'django.contrib.humanize',
    'compressor',
    'horizon',
    'openstack_auth',
    {%- if app.logging is defined %}
    'raven.contrib.django.raven_compat',
    {%- endif %}
)

{% include "horizon/files/horizon_settings/_local_settings.py" %}
{% include "horizon/files/horizon_settings/_horizon_settings.py" %}
{% include "horizon/files/horizon_settings/_keystone_settings.py" %}
{% include "horizon/files/horizon_settings/_nova_settings.py" %}
{% include "horizon/files/horizon_settings/_glance_settings.py" %}
{% include "horizon/files/horizon_settings/_neutron_settings.py" %}
{% include "horizon/files/horizon_settings/_heat_settings.py" %}
{% include "horizon/files/horizon_settings/_cinder_settings.py" %}
{% include "horizon/files/horizon_settings/_websso_settings.py" %}
{% include "horizon/files/horizon_settings/_ssl_settings.py" %}
{% include "horizon/files/horizon_settings/_django_settings.py"%}

{%- if server.configmap is defined %}
{%- set _data = server.configmap %}
{%- for item_name, item in _data.iteritems() %}
  {%- if item.type is defined and item.type == 'MultiOpt' %}
    {%- for value in item.get('values').values() %}
      {%- if value != '<None>' %}
{{ item_name }} = {{ value }}
      {%- endif %}
    {%- endfor %}
  {%- else %}
    {%- if item != '<None>' %}
{{ item_name }} = {{ item }}
    {%- endif %}
  {%- endif %}
{%- endfor %}
{%- endif %}
